'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

exports.default = function (args, config) {
	var pluginFiles = config.files || {};
	var mainFile = args.file || pluginFiles.main;
	var type = args.type || config.type || 'plugin';

	try {
		var data = _fileHeader2.default.getFileData(mainFile, type);
		var makePotArgs = buildMakePortArgs(type, data);

		_exec2.default.php.apply(_exec2.default, _toConsumableArray(makePotArgs));
	} catch (e) {
		_logger2.default.error(e.toString());
	}
};

var _path = require('path');

var _mkdirp = require('mkdirp');

var _mkdirp2 = _interopRequireDefault(_mkdirp);

var _exec = require('../utils/exec');

var _exec2 = _interopRequireDefault(_exec);

var _fileHeader = require('../utils/file-header');

var _fileHeader2 = _interopRequireDefault(_fileHeader);

var _logger = require('../utils/logger');

var _logger2 = _interopRequireDefault(_logger);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _toConsumableArray(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = Array(arr.length); i < arr.length; i++) { arr2[i] = arr[i]; } return arr2; } else { return Array.from(arr); } } /**
                                                                                                                                                                                                     * External dependencies
                                                                                                                                                                                                     */


/**
 * Internal dependencies
 */


function buildMakePortArgs(type, headerData) {
	var makepot = (0, _path.resolve)(__dirname, '../../bin/php/i18n/makepot.php');
	var cwd = process.cwd();
	var slug = headerData.TextDomain || (0, _path.basename)(cwd);
	var domainPath = headerData.DomainPath.startsWith('/') ? '.' + headerData.DomainPath : headerData.DomainPath;
	var out = (0, _path.resolve)(cwd, domainPath, slug + '.pot');

	// Ensure out dir is created.
	_mkdirp2.default.sync((0, _path.dirname)(out));

	return [makepot, 'wp_' + type, cwd, out, slug];
}
module.exports = exports['default'];