'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

exports.default = function (args, config) {
	var pluginFiles = config.files || {};
	var file = args.file || pluginFiles.main;
	var type = args.type || config.type || 'plugin';

	try {
		var data = _fileHeader2.default.getFileData(file, type);
		outputData(data, type);
	} catch (e) {
		_logger2.default.error(e.toString());
	}
};

var _fileHeader = require('../utils/file-header');

var _fileHeader2 = _interopRequireDefault(_fileHeader);

var _logger = require('../utils/logger');

var _logger2 = _interopRequireDefault(_logger);

var _string = require('../utils/string');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Internal dependencies
 */
function outputData(data, type) {
	var headers = _fileHeader2.default.headers[type];

	_logger2.default.info('Project Type:', (0, _string.ucfirst)(type));
	for (var k in headers) {
		_logger2.default.info(headers[k] + ':', data[k]);
	}
}
module.exports = exports['default'];