'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

exports.default = function (args, config) {
	var defaults = {};
	var basedir = _path2.default.basename(process.cwd());

	defaults.type = config.type || _dir2.default.guessProjectType();
	defaults.files = config.files || {};
	defaults.files.src = defaults.files.src || _config2.default.defaultSrc;
	defaults.files.main = defaults.files.main || _dir2.default.guessMainFile();
	defaults.files.assets = defaults.files.assets || _config2.default.defaultAssets;

	defaults.gh = config.gh || {};

	defaults.wporg = config.wporg || {};
	defaults.wporg.slug = defaults.wporg.slug || basedir;
	defaults.wporg.buildPath = defaults.wporg.buildPath || 'build';

	_config2.default.generate(defaults, args.useDefaults);
};

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var _dir = require('../utils/dir');

var _dir2 = _interopRequireDefault(_dir);

var _config = require('../utils/config');

var _config2 = _interopRequireDefault(_config);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * External dependencies
 */
module.exports = exports['default'];

/**
 * Internal dependencies
 */