'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

exports.default = function (args, config) {
	var files = config.files || {};
	var mainFile = args.file || files.main;
	var type = args.type || config.type || 'plugin';
	var src = files.src || _config2.default.defaultSrc;

	var phpfiles = _globAll2.default.sync(src).filter(function (filepath) {
		return _fs2.default.statSync(filepath).isFile() && filepath.endsWith('.php');
	});

	// Make sure all files are syntatically correct before validating the gettext
	// func in files.
	phplint.apply(undefined, _toConsumableArray(phpfiles));

	var data = _fileHeader2.default.getFileData(mainFile, type);
	var domain = data.TextDomain || (0, _path.basename)(process.cwd());

	try {
		runValidateI18N.apply(undefined, [domain].concat(_toConsumableArray(phpfiles)));
	} catch (e) {
		_logger2.default.info(e.message);
	}
};

var _fs = require('fs');

var _fs2 = _interopRequireDefault(_fs);

var _path = require('path');

var _globAll = require('glob-all');

var _globAll2 = _interopRequireDefault(_globAll);

var _config = require('../utils/config');

var _config2 = _interopRequireDefault(_config);

var _exec = require('../utils/exec');

var _exec2 = _interopRequireDefault(_exec);

var _fileHeader = require('../utils/file-header');

var _fileHeader2 = _interopRequireDefault(_fileHeader);

var _logger = require('../utils/logger');

var _logger2 = _interopRequireDefault(_logger);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _toConsumableArray(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = Array(arr.length); i < arr.length; i++) { arr2[i] = arr[i]; } return arr2; } else { return Array.from(arr); } } /**
                                                                                                                                                                                                     * External dependencies
                                                                                                                                                                                                     */


/**
 * Internal dependencies
 */


function runValidateI18N(domain) {
	for (var _len = arguments.length, files = Array(_len > 1 ? _len - 1 : 0), _key = 1; _key < _len; _key++) {
		files[_key - 1] = arguments[_key];
	}

	var args = [(0, _path.resolve)(__dirname, '../../bin/php/i18n/validate-i18n.php'), domain].concat(files);

	_exec2.default.php.apply(_exec2.default, _toConsumableArray(args));
}

function phplint() {
	for (var _len2 = arguments.length, files = Array(_len2), _key2 = 0; _key2 < _len2; _key2++) {
		files[_key2] = arguments[_key2];
	}

	var args = ['-d', 'display_errors=1', '-l'].concat(files);
	_exec2.default.php.apply(_exec2.default, _toConsumableArray(args));
}
module.exports = exports['default'];