'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _fs = require('fs');

var _fs2 = _interopRequireDefault(_fs);

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * External dependencies
 */
function hasThemeCss() {
	var themeCss = _path2.default.resolve(process.cwd(), 'style.css');
	return _fs2.default.existsSync(themeCss);
}

function hasPluginMainFile() {
	var mainFile = _path2.default.resolve(process.cwd(), guessMainFile('plugin'));
	return _fs2.default.existsSync(mainFile);
}

function guessMainFile(type) {
	if ('theme' === type || hasThemeCss()) {
		return 'style.css';
	}

	var cwd = process.cwd();
	var basedir = _path2.default.basename(cwd);

	return basedir + '.php';
}

function guessProjectType() {
	return hasThemeCss() ? 'theme' : 'plugin';
}

function getReadmeTxtPath() {
	return _path2.default.resolve(process.cwd(), 'readme.txt');
}

exports.default = {
	hasThemeCss: hasThemeCss,
	hasPluginMainFile: hasPluginMainFile,
	guessMainFile: guessMainFile,
	guessProjectType: guessProjectType,
	getReadmeTxtPath: getReadmeTxtPath
};
module.exports = exports['default'];