'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _crossSpawn = require('cross-spawn');

var _shelljs = require('shelljs');

/**
 * External dependencies
 */
function php() {
	for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
		args[_key] = arguments[_key];
	}

	return _run.apply(undefined, ['php'].concat(args));
}

function git() {
	for (var _len2 = arguments.length, args = Array(_len2), _key2 = 0; _key2 < _len2; _key2++) {
		args[_key2] = arguments[_key2];
	}

	return _run.apply(undefined, ['git'].concat(args));
}

function svn() {
	for (var _len3 = arguments.length, args = Array(_len3), _key3 = 0; _key3 < _len3; _key3++) {
		args[_key3] = arguments[_key3];
	}

	return _run.apply(undefined, ['svn'].concat(args));
}

function _run(command) {
	if ((0, _shelljs.which)(command) === null) {
		throw new Error(command + ' is not available');
	}

	for (var _len4 = arguments.length, args = Array(_len4 > 1 ? _len4 - 1 : 0), _key4 = 1; _key4 < _len4; _key4++) {
		args[_key4 - 1] = arguments[_key4];
	}

	var child = _crossSpawn.spawn.sync(command, args);
	var error = child.stderr.toString();
	var ecode = child.status;

	if (0 !== ecode) {
		var msg = error || command + ' exited with exit code ' + ecode;
		throw new Error(msg);
	}

	return child.stdout.toString();
}

exports.default = {
	php: php,
	git: git,
	svn: svn
};
module.exports = exports['default'];