'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _chalk = require('chalk');

var _chalk2 = _interopRequireDefault(_chalk);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _toConsumableArray(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = Array(arr.length); i < arr.length; i++) { arr2[i] = arr[i]; } return arr2; } else { return Array.from(arr); } } /**
                                                                                                                                                                                                     * External dependencies
                                                                                                                                                                                                     */


var colorScheme = {
	success: _chalk2.default.green,
	info: _chalk2.default.white,
	warning: _chalk2.default.yellow,
	error: _chalk2.default.red,
	debug: _chalk2.default.blue
};

function success() {
	for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
		args[_key] = arguments[_key];
	}

	log.apply(undefined, ['success'].concat(args));
}

function info() {
	for (var _len2 = arguments.length, args = Array(_len2), _key2 = 0; _key2 < _len2; _key2++) {
		args[_key2] = arguments[_key2];
	}

	log.apply(undefined, ['info'].concat(args));
}

function warning() {
	for (var _len3 = arguments.length, args = Array(_len3), _key3 = 0; _key3 < _len3; _key3++) {
		args[_key3] = arguments[_key3];
	}

	log.apply(undefined, ['warning'].concat(args));
}

function error() {
	for (var _len4 = arguments.length, args = Array(_len4), _key4 = 0; _key4 < _len4; _key4++) {
		args[_key4] = arguments[_key4];
	}

	log.apply(undefined, ['error'].concat(args));
}

function debug() {
	for (var _len5 = arguments.length, args = Array(_len5), _key5 = 0; _key5 < _len5; _key5++) {
		args[_key5] = arguments[_key5];
	}

	log.apply(undefined, ['debug'].concat(args));
}

function log(scheme) {
	var _console;

	for (var _len6 = arguments.length, args = Array(_len6 > 1 ? _len6 - 1 : 0), _key6 = 1; _key6 < _len6; _key6++) {
		args[_key6 - 1] = arguments[_key6];
	}

	// eslint-disable-next-line no-console
	(_console = console).log.apply(_console, _toConsumableArray(args.map(function (arg) {
		return colorScheme[scheme](arg);
	})));
}

exports.default = {
	success: success,
	info: info,
	warning: warning,
	debug: debug,
	error: error
};
module.exports = exports['default'];