'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _slicedToArray = function () { function sliceIterator(arr, i) { var _arr = []; var _n = true; var _d = false; var _e = undefined; try { for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"]) _i["return"](); } finally { if (_d) throw _e; } } return _arr; } return function (arr, i) { if (Array.isArray(arr)) { return arr; } else if (Symbol.iterator in Object(arr)) { return sliceIterator(arr, i); } else { throw new TypeError("Invalid attempt to destructure non-iterable instance"); } }; }();

var _exec = require('./exec');

var _exec2 = _interopRequireDefault(_exec);

var _string = require('./string');

var _string2 = _interopRequireDefault(_string);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _toConsumableArray(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = Array(arr.length); i < arr.length; i++) { arr2[i] = arr[i]; } return arr2; } else { return Array.from(arr); } } /**
                                                                                                                                                                                                     * Internal dependencies
                                                                                                                                                                                                     */


function checkout(src, dst) {
	var args = ['checkout', src, dst, '--depth', 'immediates'];
	_exec2.default.svn.apply(_exec2.default, args);
}

function update(path) {
	for (var _len = arguments.length, updateArgs = Array(_len > 1 ? _len - 1 : 0), _key = 1; _key < _len; _key++) {
		updateArgs[_key - 1] = arguments[_key];
	}

	var args = ['update', '--quiet', path].concat(updateArgs);
	_exec2.default.svn.apply(_exec2.default, _toConsumableArray(args));
}

function add(path) {
	var args = ['add', '--force', path];
	_exec2.default.svn.apply(_exec2.default, args);
}

function del(path) {
	var args = ['delete', '--force', '--quiet', path];
	_exec2.default.svn.apply(_exec2.default, args);
}

function copy(from, to) {
	var args = ['copy', '--quiet', _string2.default.trailingslashit(from), _string2.default.trailingslashit(to)];
	_exec2.default.svn.apply(_exec2.default, args);
}

function status(path) {
	var args = ['status', path];
	return _exec2.default.svn.apply(_exec2.default, args);
}

function commit(path, username, message) {
	var args = ['commit', path, '--username', username, '-m', message];
	_exec2.default.svn.apply(_exec2.default, args);
}

function missingItems(path) {
	var re = /(?:^|[\n\r]+)!\s+([^\n\r]+?)(?=[\n\r]+|$)/g;
	return statusLinesMatch(path, re);
}

function untrackedItems(path) {
	var re = /(?:^|[\n\r]+)\?\s+([^\n\r]+?)(?=[\n\r]+|$)/g;
	return statusLinesMatch(path, re);
}

function statusLinesMatch(path, re) {
	var input = status(path);
	var matches = _string2.default.matchAll(input, re) || [];
	var items = [];

	matches.forEach(function (m) {
		var _m = _slicedToArray(m, 2),
		    item = _m[1];

		items.push(item);
	});

	return items;
}

exports.default = {
	checkout: checkout,
	update: update,
	add: add,
	del: del,
	copy: copy,
	status: status,
	commit: commit,
	missingItems: missingItems,
	untrackedItems: untrackedItems
};
module.exports = exports['default'];